# Method: advertisers.targetingTypes.assignedTargetingOptions.delete

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/delete#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/delete#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.targetingTypes.assignedTargetingOptions/delete#try-it)

Deletes an assigned targeting option from an advertiser.

### HTTP request

`DELETE https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser. |
| `targetingType` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v4/TargetingType`)`` Required. Identifies the type of this assigned targeting option. Supported targeting types: - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_CHANNEL` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_OMID` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` - `https://developers.google.com/display-video/api/reference/rest/v4/TargetingType#ENUM_VALUES.TARGETING_TYPE_KEYWORD` |
| `assignedTargetingOptionId` | `string` Required. The ID of the assigned targeting option to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).